module Fuelator
  class Parameters
    class Pair
      include Validator
      DIRECTIVES = [:launch, :land]

      attr_reader :directive, :gravity

      def initialize(pair)
        @directive = pair[0]
        @gravity   = pair[1]
      end

      def valid_directive?
        directive.is_a?(Symbol) && DIRECTIVES.include?(directive)
      end

      def valid_gravity?
        gravity.is_a?(Numeric)
      end
    end
  end
end
