module Fuelator
  class Parameters
    module Validator
      # runs #valid_[variable]? method for every instance variable
      # raises Error defined in parent namespace
      # @return [self]
      def validate!
        instance_variables.each do |v|
          v_name = v.to_s.gsub(/^@/, '')

          raise Error.new("value for #{v_name} is invalid") unless send("valid_#{v_name}?")
        end

        self
      end
    end
  end
end
